<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>


    <div class="top-bg {{secondColorBrand}}"></div>
    
    <div class="center">
  
       
        <div class="header white-fg"
             fxLayout="column" fxLayoutAlign="center center"
             fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">


             <div class="logo my-4 m-sm-0"
                fxLayout="row" fxLayoutAlign="start center">
                <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">description</mat-icon>
                <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Vendas</span>
            </div>
  
            
            <div class="search-input-wrapper mx-12 m-md-0"
                 fxFlex="1 0 auto" 
                 fxLayout="row" fxLayoutAlign="start center">
               
                <form [formGroup]="searchForm" novalidate
                    fxFlex="100" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                  <mat-form-field fxFlex="50">
                    <input matInput placeholder="Cliente" formControlName="searchControl">
                  </mat-form-field>
                  
                  <mat-form-field fxFlex="50">
                    <mat-select placeholder="Status" formControlName="status" (selectionChange)="onListValueChanged()">
                      <mat-option *ngFor="let status of salesStatusList" [value]="status.key">
                        {{ status.value }}
                      </mat-option>
                    </mat-select>
                  </mat-form-field> 
                </form>
            </div>
           
            <div class="" fxFlex="0 1 auto" fxLayout="row" fxLayoutAlign="start center">

                <button color="primary" [ngClass]="primaryColorBrand" mat-raised-button  [matMenuTriggerFor]="userMenu"
                        class="user-button">
                    <div fxLayout="row" fxLayoutAlign="center center">
                        <span class="username mr-12" fxHide fxShow.gt-sm>NOVA VENDA</span>
                        <mat-icon class="s-16" fxHide.xs>keyboard_arrow_down</mat-icon>
                    </div>
                </button>
    
                <mat-menu #userMenu="matMenu" [overlapTrigger]="false">
                  
                    <button mat-menu-item [routerLink]="'new/contract'">
                        <mat-icon>money_off</mat-icon>
                        <span>Venda Sem Pagamento</span>
                    </button>

                    <button mat-menu-item class="" [routerLink]="'new/sale'">
                        <mat-icon>attach_money</mat-icon>
                        <span>Venda Com Pagamento</span>
                    </button>
    
                </mat-menu>
       </div>

          
           
        </div>
        
        <div class="content-card mat-white-bg">

          <mat-table class="products-table"
            #table 
            [dataSource]="dataSource"
            [@animateStagger]="{value:'50'}"
            fusePerfectScrollbar
            matSort matSortActive="lifecycle.createDate" matSortDirection="desc" matSortDisableClear>

            <ng-container cdkColumnDef="statusColor">
                    <mat-header-cell *cdkHeaderCellDef  class="white-fg"></mat-header-cell>
                    <mat-cell *cdkCellDef="let element" [ngClass]="saleColorStatusEnumToString(element.status)">
                        
                    </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="space">
                    <mat-header-cell *cdkHeaderCellDef  class="white-fg"></mat-header-cell>
                    <mat-cell *cdkCellDef="let element" >
                           
                    </mat-cell>
            </ng-container>


            <ng-container cdkColumnDef="id">
              <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">#Venda</mat-header-cell>
              <mat-cell *cdkCellDef="let element">
                  <p class="text-truncate">{{element.id}}</p>
              </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="licensePlate" >
                <mat-header-cell *cdkHeaderCellDef class="white-fg">Placa </mat-header-cell>
                <mat-cell *cdkCellDef="let element">
                    <p class="text-truncate">{{element.relationships?.vehicle ? (element.relationships?.vehicle?.licensePlate | uppercase ): '-'}}</p>
                </mat-cell>
            </ng-container>  

            <ng-container cdkColumnDef="brand" >
              <mat-header-cell *cdkHeaderCellDef class="white-fg">Marca </mat-header-cell>
              <mat-cell *cdkCellDef="let element">
                  <p class="text-truncate">{{element.brandObj?.name}}</p>
              </mat-cell>
          </ng-container>  


            <ng-container cdkColumnDef="customerName">
              <mat-header-cell *cdkHeaderCellDef class="white-fg">Cliente</mat-header-cell>
              <mat-cell *cdkCellDef="let element">
                    <mat-icon *ngIf=" element.segment == 'BUSINESS'" >business</mat-icon>
                  <p class="text-truncate"> &nbsp; {{ element.segment == "BUSINESS" ?  element.relationships?.business?.name : element.relationships?.customer?.name}}</p>
              </mat-cell>
            </ng-container>            

            <ng-container cdkColumnDef="lifecycle.createDate">
              <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Criado em</mat-header-cell>
              <mat-cell *cdkCellDef="let element">
                  <p class="text-truncate">{{element.lifecycle?.createDate | date: 'short'}}</p>   
              </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="totalPrice">
              <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Valor total</mat-header-cell>
              <mat-cell *cdkCellDef="let element">
                  <p class="text-truncate">{{element.totalPrice ? (element.totalPrice | currency: 'BRL') : (0 | currency: 'BRL')}}</p>
              </mat-cell>
            </ng-container>            

            <ng-container cdkColumnDef="status">
                    <mat-header-cell *cdkHeaderCellDef mat-sort-header style="text-align: center" class="white-fg">Status</mat-header-cell>
                    
                    <mat-cell *cdkCellDef="let element" style="text-align: center" >
                            <mat-chip-list>
                                    <mat-chip [ngClass]="salesColorStatusLightEnumToString(element.status)" style="width:150px; text-align: center;" selected> {{  salesStatusEnumToString(element.status)}}</mat-chip>
                            </mat-chip-list>
                    </mat-cell>
            </ng-container>  


            <mat-header-row *matHeaderRowDef="displayedColumns" [ngClass]="primaryColorBrand"></mat-header-row>
            <mat-row *cdkRowDef="let row; columns: displayedColumns;"
                      class="product"
                      matRipple
                      (click)="viewDetails(row)">
            </mat-row>
        </mat-table>  
 
        <mat-paginator 
          [length]="resultLength" 
          [pageSize]="10" 
          [pageSizeOptions]="[10, 25, 50]"></mat-paginator>
  
      </div>
      
  </div>
  
</div>


  

